.model small
.code
org 100h
start:
        call $+11
        rIP1    dw 0
        rCS1    dw 0
        rIP2    dw 0
        rCS2    dw 0
        pop si

        push cs
        pop di

        sub di, word ptr cs:[si+6]
        add di, word ptr cs:[si+2]
        mov ax, word ptr cs:[si]

        PUSH DI
        PUSH AX
        
        mov ah, 02
        mov dl, 33
        int 21h   
        retf
end start